import * as _ from "lodash";
import {Pipe, PipeTransform} from "@angular/core";

@Pipe({
    name: "projectTableFilter"
})
export class ProjectTableFilterPipe implements PipeTransform {

    transform(array: any[], query: string, userid : string, onlyMyProjects : boolean): any {
        
        if (query || userid) {

            return _.filter(array, row => {

                if(onlyMyProjects){
                    return (row.label.indexOf(query) > -1) && (row.creationUser.id==userid);
                }
                else{
                    return row.label.indexOf(query) > -1;
                }

            });
            
        }
        return array;
    }

}