export const TestModel = {
    "rules": [
        {
            "sourceField": "useMetadataQ211",
            "targetField": "metadataStandarsA211",
            "requiredValue": "true",
            "type": "visibility",
        },
        {
            "sourceField": "dataSummary",
            "targetField": "freeOfChargeGroupCommentA213",
            "requiredValue": "true",
            "type": "visibility",
        },
        {
            "sourceField": "useMetadataQ211",
            "targetField": "noMetadata",
            "requiredValue": "true",
            "type": "visibility",
        },
        {
            "sourceField": "FindDataMetadataGroup",
            "targetField": "notlistedUrlA211",
            "requiredValue": "true",
            "type": "visibility",
        },
        {
            "sourceField": "FindDataMetadataGroup",
            "targetField": "notlistedCommentA211",
            "requiredValue": "true",
            "type": "visibility",
        },
        {
            "sourceField": "useVocabulariesQ212",
            "targetField": "standardisedVocabulariesA212",
            "requiredValue": "true",
            "type": "visibility",
        },
        {
            "sourceField": "useVocabulariesQ212",
            "targetField": "notlistedVocabularyA212",
            "requiredValue": "true",
            "type": "visibility",
        },
        {
            "sourceField": "useVocabulariesQ212",
            "targetField": "noMetadataVocabularyA212",
            "requiredValue": "false",
            "type": "visibility",
        },
        {
            "sourceField": "notlistedVocabularyA212",
            "targetField": "notlistedVocUrlA212",
            "requiredValue": "true",
            "type": "visibility",
        },
        {
            "sourceField": "notlistedVocabularyA212",
            "targetField": "notlistedVocCommentA212",
            "requiredValue": "true",
            "type": "visibility",
        }
    ],
    "sections": [
        {
            "id": "sumData",
            "defaultVisibility": "true",
            "page": "1",
            "title": "1 Data Summary",
            "description": " Fill in the fields to describe your data model ",
            "sections": [],
            "fieldGroups":
            [
                {
                    "id": "dataSummaryGroup",
                    "defaultVisibility": "true",
                    "page": "1",
                    "title": "Data Summary",
                    "description": "",
                    "extendedDescription": "",
                    "compositeFields": [
                        {
                            "fields":
                            [
                                {
                                    "id": "dataSummary",
                                    "defaultVisibility": "true",
                                    "title": "",
                                    "description": "",
                                    "extendedDescription": "",
                                    "viewStyle": "checkBox"
                                }
                            ]
                        }
                    ]
                }
            ]
        },
        {
            "id": "fairData",
            "ordinal": "2",
            "defaultVisibility": "true",
            "page": "1",
            "title": "2 Fair Data",
            "sections": [
                {
                    "id": "dataMetadata",
                    "defaultVisibility": "true",
                    "page": "1",
                    "title": "2.1 Making data findable, including provisions for metadata",
                    "sections": [],
                    "fieldGroups": [
                        {
                            "id": "FindDataMetadataGroup",
                            "section": "dataMetadata",
                            "defaultVisibility": "true",
                            "page": "1",
                            "title": "Making data findable, including provisions for metadata",
                            "description": "Making data findable, including provisions for metadata",
                            "extendedDescription": "FieldGroup Description",
                            "compositeFields": [
                                {
                                    "fields":
                                    [
                                        {
                                            "id": "useMetadataQ211",
                                            "defaultVisibility": "true",
                                            "title": "Q2.1.1 Will you use metadata to describe the data?",
                                            "description": "User can select from a list of metadata standards. If they cannot find the standard in the list provided then they should choose \"not listed\". Selecting this will result in a field in which the user can insert the URL to the description of the metadata scheme used. A \"comments\" box should exist to allow users to add comments. They may select more than one metadata standard. They may specify more than one URL when selecting \"not listed\". They are also presented with a field in which to specify the location of the metadata service. Users can select the \"no metadata\" button to specify no metadata will be used to describe the data.",
                                            "extendedDescription": "FieldGroup Description",
                                            "viewStyle": "booleanDesicion"
                                        }
                                    ]
                                },
                                {
                                    "fields":
                                    [
                                        {
                                            "id": "metadataStandarsA211",
                                            "defaultVisibility": "false",
                                            "title": "Metadata standards",
                                            "description": "The data will be described by metadata that follows the metadata standards described in <url1>, <url2>, ? The data will be described by metadata that follows the metadata schema described in <not-listed-url1>, <not-listed-url2>. The metadata will be stored in the service located at <metadata-repo-url>",
                                            "extendedDescription": "",
                                            "viewStyle": "combobox"
                                        }]
                                },
                                {
                                    "fields":
                                    [
                                        {
                                            "id": "notlistedA211",
                                            "defaultVisibility": "false",
                                            "title": "Not listed",
                                            "description": "",
                                            "extendedDescription": "",
                                            "viewStyle": "checkBox"
                                        }]
                                },
                                {
                                    "fields":
                                    [
                                        {
                                            "id": "notlistedUrlA211",
                                            "defaultVisibility": "false",
                                            "title": "Url",
                                            "description": "URL to the description of the metadata scheme used",
                                            "extendedDescription": "",
                                            "viewStyle": "freetext"
                                        }]
                                },
                                {
                                    "fields":
                                    [
                                        {
                                            "id": "notlistedCommentA211",
                                            "defaultVisibility": "false",
                                            "title": "Comments",
                                            "description": "",
                                            "extendedDescription": "",
                                            "viewStyle": "freetext"
                                        }]
                                },
                                {
                                    "fields":
                                    [
                                        {
                                            "id": "noMetadata",
                                            "defaultVisibility": "false",
                                            "title": "The data will not be described by any metadata.",
                                            "description": "",
                                            "extendedDescription": "",
                                            "viewStyle": "checkBox"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "id": "VocabulariesGroup",
                            "defaultVisibility": "true",
                            "page": "1",
                            "title": "Vocabularies",
                            "description": "Vocabularies",
                            "extendedDescription": "FieldGroup Description",
                            "compositeFields": [
                                {
                                    "fields": [
                                        {
                                            "id": "useVocabulariesQ212",
                                            "defaultVisibility": "true",
                                            "title": "Q2.1.2 Will your metadata use standardised vocabularies?",
                                            "description": "User selects from a drop-down list of existing standardised vocabularies or \"not listed\" or \"none\". There should be a \"comments\" fields for additional information. If \"not listed\" is selected the user is presented with two additional fields in which the user can put the URL to the new vocabulary along with a short description. The user should be allowed to select more than one option.",
                                            "extendedDescription": "FieldGroup Description",
                                            "viewStyle": "booleanDesicion"
                                        }]
                                },
                                {
                                    "fields": [
                                        {
                                            "id": "standardisedVocabulariesA212",
                                            "defaultVisibility": "false",
                                            "title": "Existing standardised vocabularies",
                                            "description": "The metadata will make use of the standardised vocabulary <url>",
                                            "extendedDescription": "",
                                            "viewStyle": "combobox"
                                        }]
                                },
                                {
                                    "fields": [
                                        {
                                            "id": "notlistedVocabularyA212",
                                            "defaultVisibility": "false",
                                            "title": "Not listed vocabulary",
                                            "description": "",
                                            "extendedDescription": "",
                                            "viewStyle": "checkBox"
                                        }]
                                },
                                {
                                    "fields": [
                                        {
                                            "id": "notlistedVocUrlA212",
                                            "defaultVisibility": "false",
                                            "title": "Vocabulary Url",
                                            "description": "The user can put the URL to the new vocabulary",
                                            "extendedDescription": "",
                                            "viewStyle": "freetext"
                                        }]
                                },
                                {
                                    "fields": [
                                        {
                                            "id": "notlistedVocCommentA212",
                                            "defaultVisibility": "false",
                                            "title": "Comments",
                                            "description": "Vocabulary short description",
                                            "extendedDescription": "",
                                            "viewStyle": "freetext"
                                        }]
                                },
                                {
                                    "fields": [
                                        {
                                            "id": "noMetadataVocabularyA212",
                                            "defaultVisibility": "false",
                                            "title": "The metadata will not make use of any vocabulary",
                                            "description": "",
                                            "extendedDescription": "",
                                            "viewStyle": "checkBox"
                                        }
                                    ]
                                }
                            ]
                        },
                        {
                            "id": "FreeOfChargeGroup",
                            "defaultVisibility": "true",
                            "page": "1",
                            "title": "Metadata Available",
                            "description": "Metadata Available",
                            "extendedDescription": "FieldGroup Description",
                            "compositeFields": [
                                {
                                "fields": [
                                    {
                                        "id": "freeOfChargeGroupQ213",
                                        "defaultVisibility": "true",
                                        "title": "Q2.1.3 Will you use standardised formats for some or all of your data.",
                                        "description": "User is presented with a choice of ?yes?, ?no?. There should be a ?comments? field for additional information.",
                                        "extendedDescription": "Field Description",
                                        "viewStyle": "booleanDesicion"
                                    }]
                            },
                            {
                                "fields": [
                                    {
                                        "id": "freeOfChargeGroupCommentA213",
                                        "defaultVisibility": "true",
                                        "title": "Comments",
                                        "description": "",
                                        "extendedDescription": "",
                                        "viewStyle": "freetext"
                                    }
                                ]
                            }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}
